#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_auto_build:
	mkdir -p target/classes
	javac -source 7 -target 7 -encoding UTF-8 -d target/classes `find . -name '*.java'`
	cd src && find . -type f -not -name '*.java' -exec install -D {} ../target/classes/{} \;
	jar -cfm target/opticalraytracer-$(DEB_VERSION_UPSTREAM).jar MANIFEST.mf -C target/classes .

override_dh_auto_clean:
	rm -Rf target
